Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.master.search.enterprise
Class EOSearchResultRecord

    java.lang.Object
      com.sun.mdm.index.master.search.enterprise.EOSearchResultRecord

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class EOSearchResultRecord
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable

The EOSearchResultRecord class represents an object containing a record returned by a call to MasterController.searchEnterpriseObject. A search for an enterprise object returns an iterator of EOSearchResultRecord objects.

See Also:
  Serialized Form

Constructor Summary
`EOSearchResultRecord()` Creates a new instance of the EOSearchResultRecord class.
`EOSearchResultRecord(float comparisonScore, java.lang.String euid, ObjectNode resultRow)` Creates a new instance of the EOSearchResultRecord class.

Method Summary
`int` | `compareTo(java.lang.Object obj)` Standard compare function
`float` | `getComparisonScore()` Retrieves the comparison score (the matching probability weight) for a search result record.
`java.lang.String` | `getEUID()` Retrieves the EUID for a row of data (an EOSearchResultRecord object).
`ObjectNode` | `getObject()` Retrieves a result row from a system object in the EOSearchResultRecord object.
`void` | `setComparisonScore(float comparisonScore)` Sets the comparison score (the matching probability weight) for a search result record.
`void` | `setEUID(java.lang.String val)` Sets the EUID for a search result record.
`void` | `setObject(ObjectNode objectNode)` Sets the result row (ObjectNode) for a search result record.
`java.lang.String` | `toString()` Retrieves the EUID and comparison score (the matching probability weight) for a search result record.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### EOSearchResultRecord

    public EOSearchResultRecord()

  Creates a new instance of the EOSearchResultRecord class.

  Parameters:
    None.

### EOSearchResultRecord

    public EOSearchResultRecord(float comparisonScore,
                                java.lang.String euid,
                                ObjectNode resultRow)

  Creates a new instance of the EOSearchResultRecord class.

  Parameters:
    `comparisonScore` - The matching probability weight between a search result record and the search criteria.
    `euid` - The EUID of a search result record.
    `resultRow` - The object node of a search result record.

Method Detail

### compareTo

    public int compareTo(java.lang.Object obj)

  Standard compare function

  Parameters:
    `obj` - retrieved object
  Returns:
    standard compare value

### getComparisonScore

    public float getComparisonScore()

  Retrieves the comparison score (the matching probability weight) for a search result record. If the query is non-weighted, this method returns 0.

  Parameters:
    None.

  Returns:
    float - The matching probability weight for the record.
  Throws:
    None.

### getEUID

    public java.lang.String getEUID()

  Retrieves the EUID for a row of data (an EOSearchResultRecord object). This method only returns an EUID for weighted queries, and returns an empty string for non-weighted queries. For non-weighted queries, use the getValues method in the ResultObject class to retrieve an EUID for a search result record.

  Parameters:
    None.

  Returns:
    String - The EUID of an EOSearchResultRecord object.
  Throws:
    None.

### getObject

    public ObjectNode getObject()

  Retrieves a result row from a system object in the EOSearchResultRecord object. The fields retrieved are specified by EOSearchOptions.getFieldsToRetrieve.

  Parameters:
    None.

  Returns:
    `ObjectNode` - The specified fields in the given object.
  Throws:
    None.

### setComparisonScore

    public void setComparisonScore(float comparisonScore)

  Sets the comparison score (the matching probability weight) for a search result record.

  Parameters:
    `comparisonScore` - The matching probability weight for the record.
  Returns:
    `void` - None.
  Throws:
    None.

### setEUID

    public void setEUID(java.lang.String val)

  Sets the EUID for a search result record.

  Parameters:
    `val` - The EUID of the record.
  Returns:
    `void` - None.
  Throws:
    None.

### setObject

    public void setObject(ObjectNode objectNode)

  Sets the result row (ObjectNode) for a search result record.

  Parameters:
    `objectNode` - The result row of the record.
  Returns:
    `void` - None.
  Throws:
    None.

### toString

    public java.lang.String toString()

  Retrieves the EUID and comparison score (the matching probability weight) for a search result record.

  Parameters:
    None.

  Returns:
    `string` - A string representation of the EUID and the comparison weight.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.